﻿using ChunSun.NginxServer.DaemonService.Impl;
using System;
using System.ServiceModel;
using System.ServiceProcess;

namespace ChunSun.NginxServer.DaemonService
{
    public partial class DaemonService : ServiceBase
    {
        public DaemonService()
        {
            InitializeComponent();
        }

        private ServiceHost _serviceHost;

        protected override void OnStart(string[] args)
        {
            _serviceHost = new ServiceHost(typeof(EntranceService));
            _serviceHost.Open();
        }

        protected override void OnStop()
        {
            if (_serviceHost == null)
                return;
            (_serviceHost as IDisposable).Dispose();
            _serviceHost = null;
        }
    }
}